package com.inspect.metadata.montdata.service;

import com.inspect.metadata.montdata.domain.BasedataMontPatDevAlmAbn;

import java.util.List;

public interface IBasedataMontPatDevAlmAbnService {
    BasedataMontPatDevAlmAbn selectBasedataMontPatDevAlmAbnByMontPatDevAlmAbnId(Long abnId);

    List<BasedataMontPatDevAlmAbn> selectBasedataMontPatDevAlmAbnList(BasedataMontPatDevAlmAbn almAbn);

    int insertBasedataMontPatDevAlmAbn(BasedataMontPatDevAlmAbn almAbn);

    int updateBasedataMontPatDevAlmAbn(BasedataMontPatDevAlmAbn almAbn);

    int deleteBasedataMontPatDevAlmAbnByMontPatDevAlmAbnIds(Long[] abnIds);

    int deleteBasedataMontPatDevAlmAbnByMontPatDevAlmAbnId(Long abnId);
}
